CaeRegionCollection Class

class NXOpen.CAE.CaeRegionCollection

Bases: object

Provides methods for managing CAE.CaeRegion in a sim part

To obtain an instance of this class, refer to NXOpen.CAE.SimSimulation

New in version NX7.0.0.

Methods

Method Description
Copy Copies a CAE.CaeRegion
CreateCaeRegion Creates a CAE.CaeRegion
FindObject Finds the CAE.CaeRegion with the given identifier as recorded in a journal.

Method Detail

Copy

CaeRegionCollection.Copy

Copies a CAE.CaeRegion

Signature Copy(tSourceRegion)

Parameters:tSourceRegion (NXOpen.CAE.CaeRegion) – source region to be copied
Returns:newly created region
Return type:NXOpen.CAE.CaeRegion

New in version NX7.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateCaeRegion

CaeRegionCollection.CreateCaeRegion

Creates a CAE.CaeRegion

Signature CreateCaeRegion(descriptorName, name, label)

Parameters:
  • descriptorName (str) – Name of the region descriptor
  • name (str) – Name of the region
  • label (int) – Label of the region, input 0 to get next available label
Returns:

Region object created

Return type:

NXOpen.CAE.CaeRegion

New in version NX7.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

FindObject

CaeRegionCollection.FindObject

Finds the CAE.CaeRegion with the given identifier as recorded in a journal.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Identifier to be found
Returns:Region found
Return type:NXOpen.CAE.CaeRegion

New in version NX7.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)